Bug 1130459 - Can't create the second fuse app if OPENSHIFT_FUSE_ZOOKEEPER_PASSWOR is different from the first fuse app.
Summary: Can't create the second fuse app if OPENSHIFT_FUSE_ZOOKEEPER_PASSWOR is diffe...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Mikey Ariel
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 09:50 UTC by xjia
Modified: 2015-07-20 00:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 12:46:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-1895 Major Resolved Can't create the second fuse app if OPENSHIFT_FUSE_ZOOKEEPER_PASSWOR is different from the first fuse app. 2014-09-26 13:21:44 UTC

Description xjia 2014-08-15 09:50:29 UTC
Description of problem:
Create a fuse app with OPENSHIFT_FUSE_ZOOKEEPER_PASSWOR=redhat1, then create the 2nd fuse app with OPENSHIFT_FUSE_ZOOKEEPER_PASSWOR=redhat2. The 2nd app can't be created.


Version-Release number of selected component (if applicable):
openshift-origin-cartridge-fuse-6.1.0.redhat.389-1.el6op.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1.rhc app create fuse1 fuse -e OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat1
2.rhc app create fuse2 fuse -e OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat2

Actual results:
2. 
[root@broker ~]# rhc app create fuse2 fuse -e OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat2
Using fuse-1.0.0 (JBoss Fuse 6.1.0 EA) for 'fuse'

Application Options
-------------------
Domain:                xuan
Cartridges:            fuse-1.0.0
Gear Size:             default
Scaling:               no
Environment Variables: OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD=redhat2

Creating application 'fuse2' ... 
CART_PROPERTIES: username=admin
CART_PROPERTIES: password=redhat2
client: JAVA_HOME not set; results may vary
retrying (attempt 1) ...
true
client: JAVA_HOME not set; results may vary
Error executing command: KeeperErrorCode = NoAuth for /fabric/configs/default-version
11927 [pool-2-thread-4] WARN org.apache.sshd.client.keyverifier.AcceptAllServerKeyVerifier - Server at [/127.2.78.129:23101, DSA,
91:cc:90:4c:93:c0:08:ab:d5:bb:2b:fd:1e:de:6a:48] presented unverified {} key: {}
504 [pool-2-thread-1] WARN org.apache.sshd.client.keyverifier.AcceptAllServerKeyVerifier - Server at [/127.2.78.129:23101, DSA,
91:cc:90:4c:93:c0:08:ab:d5:bb:2b:fd:1e:de:6a:48] presented unverified {} key: {}

Expected results:
Success

Additional info:

Comment 2 Hiram Chirino 2014-08-21 13:20:47 UTC
All fuse and amq carts in a domain will be made part of the same fabric management domain.  They must all use the same OPENSHIFT_FUSE_ZOOKEEPER_PASSWORD.  This is working as designed.

Comment 3 xjia 2014-08-27 09:09:16 UTC
Lower its priority. Please give warning message instead of error message.

Comment 4 Anne-Louise Tangring 2014-09-04 12:46:41 UTC
This issue has been migrated to
https://issues.jboss.org/browse/ENTESB-1895

Comment 5 JBoss JIRA Server 2014-09-09 10:53:54 UTC
Mikey Ariel <mariel@redhat.com> updated the status of jira ENTESB-1895 to Coding In Progress

Comment 6 JBoss JIRA Server 2014-09-26 13:21:44 UTC
Mikey Ariel <mariel@redhat.com> updated the status of jira ENTESB-1895 to Resolved


Note You need to log in before you can comment on or make changes to this bug.